<?php
namespace Ep\Woo;

use Zend\ServiceManager\AbstractFactory\ReflectionBasedAbstractFactory;
use Zend\ServiceManager\Factory\InvokableFactory;

return [
    'wp_plugins' => [
        'aliases' => [
            'woo.ajax.addtocart'               => Plugin\Ajax\AddToCart::class,
            'woo.category.automenu'            => Plugin\Category\AutoMenu::class,
            'woo.category.uncategorized'       => Plugin\Category\Uncategorized::class,
            'woo.coupons.userregisteredbefore' => Plugin\Coupon\UserRegisteredBefore::class,
            'woo.orders.customstatus'          => Plugin\Order\CustomStatus::class,
            'woo.payment.paypal'               => Plugin\Payment\Paypal::class,
            'woo.products.backorders'          => Plugin\Product\Backorders::class,
            'woo.products.entity'              => Plugin\Product\ProductClass::class,
            'woo.products.loginforprices'      => Plugin\Product\LoginForPrices::class,
        ],

        'factories' => [
            Plugin\Ajax\AddToCart::class              => InvokableFactory::class,
            Plugin\Category\AutoMenu::class           => InvokableFactory::class,
            Plugin\Category\Uncategorized::class      => InvokableFactory::class,
            Plugin\Coupon\UserRegisteredBefore::class => InvokableFactory::class,
            Plugin\Order\CustomStatus::class          => InvokableFactory::class,
            Plugin\Payment\Paypal::class              => ReflectionBasedAbstractFactory::class,
            Plugin\Product\Backorders::class          => InvokableFactory::class,
            Plugin\Product\ProductClass::class              => InvokableFactory::class,
            Plugin\Product\LoginForPrices::class      => InvokableFactory::class,
        ],
    ],
];