<?php
namespace Ep\Woo\Form\View\Element;

use Ep\Woo\View\AbstractView;

/**
 * Class Quantity
 *
 * @package Ep\Woo\Form\View\Element
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-woocommerce
 */
class Quantity extends AbstractView
{
    /** @var array */
    protected $templateOverrides = [
        'global/quantity-input.php',
    ];

    /**
     * Renderira view.
     *
     * @return string
     */
    public function render(): string
    {
        $args = func_get_args()[3];

        $element = new \Ep\Woo\Form\Element\Quantity($args['input_name'], [
            'label' => __('Quantity', 'woocommerce'),
        ]);

        $element->init();

        $element->setAttributes([
            'id' => $args['input_id'],
            'value' => $args['input_value'],
            'min' => $args['min_value'],
            'max' => $args['max_value'],
            'step' => $args['step'],
            'pattern' => $args['pattern'],
            'inputmode' => 'numeric',
        ]);

        $helper = $this->helpers->get('form_quantity');

        return $helper($element);
    }
}